corda / net.corda.core.testing / DurationGenerator

# DurationGenerator

`class DurationGenerator : Generator<Duration>`

### Constructors

<init> | `DurationGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): Duration`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck